> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update shipment detail

> Update shipment detail



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json put /pos/shipping/shipments/{reference_number}/manual-update
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /pos/shipping/shipments/{reference_number}/manual-update:
    put:
      tags:
        - POSAdmin
      summary: Update shipment detail
      description: Update shipment detail
      operationId: pos-update-shipment
      parameters:
        - name: reference_number
          in: path
          description: Shipment reference number
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                status:
                  type: string
                warehouse_id:
                  type: string
                awb_no:
                  type: string
                courier_company_name:
                  type: string
                shipping_label_url:
                  type: string
                tracking_url:
                  type: string
                manual_shipping_charges:
                  type: number
                eta_delivery:
                  type: string
                  format: date-time
                shipped_date:
                  type: string
                  format: date-time
                out_for_delivery_date:
                  type: string
                  format: date-time
                delivered_date:
                  type: string
                  format: date-time
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      shipment:
                        $ref: '#/components/schemas/ShipmentDetail'
                    type: object
components:
  schemas:
    ShipmentDetail:
      title: ShipmentDetail
      type: object
      required:
        - order_number
        - order_date
        - order_status
        - sales_channel
        - payment_status
        - shipment_detail
        - allowed_actions
      properties:
        order_number:
          type: string
        order_date:
          type: string
          format: date-time
        order_status:
          type: string
        sales_channel:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
            type:
              type: string
          required:
            - id
            - name
            - type
        payment_status:
          $ref: '#/components/schemas/PaymentStatus'
        customer_name:
          type:
            - string
            - 'null'
        shipment_detail:
          $ref: '#/components/schemas/Shipment'
        base_shipment:
          $ref: '#/components/schemas/LinkedShipment'
          description: >-
            Present when the viewed shipment is a replacement shipment of
            another shipment.
        replacement_shipment:
          $ref: '#/components/schemas/LinkedShipment'
          description: Present when the viewed shipment was replaced by another shipment.
        allowed_actions:
          type: array
          items:
            $ref: '#/components/schemas/ShipmentAction'
    PaymentStatus:
      title: PaymentStatus
      enum:
        - pending
        - success
        - failed
        - partially_paid
        - refund_initiated
        - refunded
        - unsettled
        - settled
        - partially_settled
        - debit_scheduled
        - collection_due
    Shipment:
      title: Shipment
      allOf:
        - $ref: '#/components/schemas/ShipmentInfo'
        - type: object
          properties:
            shipment_items:
              type: array
              items:
                $ref: '#/components/schemas/ShipmentItem'
        - type: object
          properties:
            packing:
              $ref: '#/components/schemas/ShipmentPackaging'
        - type: object
          properties:
            progression:
              type: array
              items:
                $ref: '#/components/schemas/ShipmentProgression'
      x-tags:
        - Shipping
    LinkedShipment:
      title: LinkedShipment
      type: object
      required:
        - reference_number
        - status
        - fulfillment_type
        - warehouse_id
        - warehouse_name
        - items
        - created_at
        - modified_at
      properties:
        reference_number:
          type: string
        status:
          $ref: '#/components/schemas/ShipmentStatus'
        fulfillment_type:
          enum:
            - delivery
            - collect-in-store
        warehouse_id:
          type: string
        warehouse_name:
          type: string
        items:
          type: array
          items:
            $ref: '#/components/schemas/ShipmentItem'
        created_at:
          type: string
          format: date-time
        modified_at:
          type: string
          format: date-time
      x-tags:
        - Shipping
    ShipmentAction:
      enum:
        - create-shipment
        - download-invoice
        - inventory-check
        - return-replace
        - update-manual
        - cancel-shipment
        - cancel-and-refund-shipment
    ShipmentInfo:
      title: ShipmentInfo
      type: object
      required:
        - order_number
        - order_status
        - shipment_number
        - warehouse_id
        - warehouse_name
        - status
        - total_weight
        - total_boxes
        - shipment_items_count
        - shipping_estimated_cost
        - shipping_discount_amount
        - shipping_amount
        - shipping_tax_rate
        - shipping_tax_amount
        - shipping_amount_including_tax
        - shipping_provider_id
        - shipping_provider_name
        - courier_company_id
        - courier_company_name
        - courier_company_image_url
        - awb_no
        - shipping_label_url
        - eta_delivery
        - estimated_delivery_date
        - promised_delivery_date
        - shipped_date
        - delivered_date
        - returned_date
        - fulfillment_type
        - slo
        - cancellation_reason
        - customer_id
        - customer_name
        - shipping_address_line1
        - shipping_address_line2
        - shipping_landmark
        - shipping_pincode
        - shipping_city
        - shipping_state
        - created_at
        - modified_at
      properties:
        order_number:
          type: string
        order_status:
          type: string
        shipment_number:
          type: string
        warehouse_id:
          type: string
        warehouse_name:
          type:
            - string
            - 'null'
        status:
          $ref: '#/components/schemas/ShipmentStatus'
        total_weight:
          type: number
        total_boxes:
          type:
            - integer
            - 'null'
        shipment_items_count:
          type: integer
        shipping_estimated_cost:
          type: number
          format: double
        shipping_discount_amount:
          type: number
          format: double
        shipping_amount:
          type: number
          format: double
        shipping_tax_rate:
          type: number
          format: double
        shipping_tax_amount:
          type: number
          format: double
        shipping_amount_including_tax:
          type: number
          format: double
        shipping_provider_id:
          type:
            - string
            - 'null'
        shipping_provider_name:
          type:
            - string
            - 'null'
        courier_company_id:
          type:
            - string
            - 'null'
        courier_company_name:
          type:
            - string
            - 'null'
        courier_company_image_url:
          type:
            - string
            - 'null'
        awb_no:
          type:
            - string
            - 'null'
        shipping_label_url:
          type:
            - string
            - 'null'
        eta_delivery:
          type:
            - string
            - 'null'
        estimated_delivery_date:
          type:
            - string
            - 'null'
        promised_delivery_date:
          type:
            - string
            - 'null'
        out_for_delivery_date:
          type:
            - string
            - 'null'
        shipped_date:
          type:
            - string
            - 'null'
        delivered_date:
          type:
            - string
            - 'null'
        returned_date:
          type:
            - string
            - 'null'
        fulfillment_type:
          enum:
            - delivery
            - collect-in-store
        slo:
          type: object
          properties:
            expected_date:
              type: string
              format: datetime
            actual_date:
              type: string
              format: datetime
            difference:
              type: number
            slo_status:
              enum:
                - on-time
                - delay
                - early
        cancellation_reason:
          type:
            - string
            - 'null'
        customer_id:
          type: string
        customer_name:
          type: string
        shipping_address_line1:
          type: string
        shipping_address_line2:
          type:
            - string
            - 'null'
        shipping_landmark:
          type:
            - string
            - 'null'
        shipping_pincode:
          type: string
        shipping_city:
          type: string
        shipping_state:
          type: string
        created_at:
          type: string
        modified_at:
          type: string
      x-tags:
        - Shipping
    ShipmentItem:
      title: ShipmentItem
      description: Shipment item model
      type: object
      required:
        - product_id
        - variant_id
        - quantity
      properties:
        product_id:
          type: string
        product_name:
          type: string
          readOnly: true
        variant_id:
          type:
            - string
            - 'null'
        variant_name:
          type:
            - string
            - 'null'
          readOnly: true
        product_image_url:
          type:
            - string
            - 'null'
          readOnly: true
        sku:
          type: string
          readOnly: true
        quantity:
          type: integer
        free_quantity:
          type: integer
        is_free_item:
          type: boolean
          readOnly: true
        selling_price:
          type: number
          format: double
    ShipmentPackaging:
      title: ShipmentPackaging
      type: object
      properties:
        package_option:
          enum:
            - Automatic
            - Custom
        boxes_count:
          type: integer
        boxes:
          type: array
          items:
            $ref: '#/components/schemas/ShipmentBox'
      x-tags:
        - Shipping
    ShipmentProgression:
      title: ShipmentProgression
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ShipmentStatus'
        is_current:
          type: boolean
          readOnly: true
        is_completed:
          type: boolean
          readOnly: true
        completion_date:
          type:
            - string
            - 'null'
          format: date-time
      x-tags:
        - Shipping
    ShipmentStatus:
      enum:
        - unscheduled
        - schedule_requested
        - scheduled
        - packed
        - created
        - shipped
        - in_transit
        - out_for_delivery
        - delivery_attempted
        - undelivered
        - return_to_origin
        - delivered
        - cancelled
        - lost
        - sent_to_store
        - processing
        - ready_to_collect
        - store_rejected
    ShipmentBox:
      title: ShipmentBox
      type: object
      properties:
        box_name:
          type: string
        box_length:
          type: number
        box_width:
          type: number
        box_height:
          type: number
        box_weight:
          type: number
        items_count:
          type:
            - integer
            - 'null'
        box_count:
          type:
            - integer
            - 'null'
      x-tags:
        - Shipping
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````